##########################
#Kruskal-Wallis
##########################
megfigyeles=c(37,14,8,18,7,36,18,28,51,22,17,0,3,41,8,44,62,81,48,39)
terulet=c(1,1,1,1,1,2,2,2,2,2,3,3,3,3,3,4,4,4,4,4)

kruskal.test(megfigyeles, terulet)

##########################
#Mann-whitney
##########################
kezelt=c(9.1,10.3,11,11.5,11.9,9.5,10.6,9.3,11,9.8)
kontroll =c(8.1,8.4,9.2,9.4,8.8,9.8,8.2,10.3,9.5)
wilcox.test(kezelt,kontroll,alternative="greater",correct=F)

mind=c(kezelt,kontroll)
csoport=factor(rep(c(1,2),c(10,9)))
library(coin)
wilcox_test(mind ~ csoport, alternative="greater", distribution="exact")


##########################
#Wilcoxon signed rank test
##########################
zajos=c(0.24,0.36,0.2,0.3,0.4,0.34,0.2,0.44,0.38,0.47)
csendes=c(0.24,0.11,0.27,0.36,0.19,0.14,0.25,0.37,0.08,0.1)

wilcox.test(zajos,csendes, paired=T,alternative="greater",correct=F)
wilcox.test(zajos,csendes, paired=T,alternative="greater")

library(coin)
wilcoxsign_test(zajos ~ csendes,alternative="greater",distribution="exact")

##########################
#Wilcoxon sign test
##########################

vasarlas=c(1.4,3.3,5.0,5.0,6.2,7.5,10.1,10.5,13.0,18.1)
wilcox.test(vasarlas,mu=9, alternative="less")
wilcox.test(vasarlas,mu=9, alternative="less",correct=F)

library(coin)
mu=rep(9,length(vasarlas))
wilcoxsign_test(vasarlas ~ mu,alternative="less",distribution="exact")


##########################
#McNemar test
##########################
szavazas=matrix(c(151,145,192,112), nrow=2)
mcnemar.test(szavazas)

##########################
#Proportionality test
##########################
beteg =c(212,126)
osszes=c(670,520)
prop.test(beteg,osszes, correct=F)

tehenek=matrix(c(212,458,126,394), nrow=2)
chisq.test(tehenek)

##########################
#Chi-square test of dependence
##########################
kutyak=matrix(c(40,22,18,26,5,11), nrow=2)
chisq.test(kutyak)

##########################
#F-test for variances
##########################
h36C=c(35.9,36.2,35.3,36.3,36.2,35.6,35.7,36.1,35.9,36.1)
h44C=c(44.3,43.9,44.9,43.5,44.6,43.2,44.6,43.3,43.2,44.3)

var.test(h36C,h44C, alternative="two.sided")


##########################
#Paired T-test
##########################
elso=c(3490,3440,3300,3170,3260,3580,3250,2870,3020,3030)
masodik=c(3840,3520,3420,3480,3030,4030,3020,3230,3010,3100)
t.test(elso,masodik, alternative="less",paired=T)

##########################
#T-test (independent samples)
##########################

bika=c(46,37,39,37,33,48,35)
uszo=c(27,37,35,41,35,34,43,38,40)

#Welch-próba (ismeretlen szórás)
t.test(bika,uszo, alternative="greater")

#Student’s t (ismert szórás)
t.test(bika,uszo, alternative="greater",var.equal=T)


library(psych)
data(sat.act)
summary(sat.act)

#BOX plots
boxplot(sat.act$gender,sat.act$education,sat.act$age,sat.act$ACT,sat.act$SATV,sat.act$SATQ,names = c("gender","edu","age","ACT","SATV","SATQ"))
boxplot(sat.act$SATV,sat.act$SATQ,names = c("SATV","SATQ"))
boxplot(sat.act$gender,sat.act$education,names = c("gender","edu"))
boxplot(sat.act$ACT,names = c("ACT"))

lst <- split(sat.act$ACT, sat.act$gender)
lapply(lst, summary)


#Histograms
#hist(sat.act$gender,sat.act$education,sat.act$age,sat.act$ACT,sat.act$SATV,sat.act$SATQ)
hist(sat.act$gender)
hist(sat.act$education)
hist(sat.act$age)
hist(sat.act$ACT)
hist(sat.act$SATV)
hist(sat.act$SATQ)

#Test for a given mu
t.test(sat.act$age, mu=26)

#Normality of age
shapiro.test(sat.act$age)

#Differnece between SATv and SATQ
t.test(sat.act$SATV,sat.act$SATQ,paired = TRUE)

shapiro.test(sat.act$SATV)
shapiro.test(sat.act$SATQ)

tab1 = table(sat.act$gender,sat.act$education)
chisq.test(tab1)




